try
    log "Start uninstall script"
    -- kill application
    do shell script "killall Genieo"
end try

try
    -- delete local files
    do shell script "rm -rf ~/Library/Application\\ Support/com.genieoinnovation.Installer"
    do shell script "rm -rf ~/Library/Application\\ Support/Genieo"
    do shell script "rm -rf ~/Library/LaunchAgents/com.genieo.completer.download.plist"
    do shell script "rm -rf ~/Library/LaunchAgents/com.genieo.completer.update.plist"
    do shell script "rm -rf ~/Library/Preferences/com.genieo.settings.plist"
    do shell script "rm -rf ~/Library/Preferences/com.genieo.global.settings.plist"
    do shell script "rm -rf ~/Library/Preferences/com.genieoinnovation.macextension.plist"
    do shell script "rm -rf ~/Library/Preferences/com.IM.partner.settings.plist"
    do shell script "rm -rf ~/Library/Preferences/com.installmac.settings.plist"
    do shell script "rm -rf ~/Library/Preferences/com.installmac.global.settings.plist"
    do shell script "rm -rf ~/Library/Preferences/com.installmc.settings.plist"
    do shell script "rm -rf ~/Library/Preferences/com.installmc.global.settings.plist"

    -- delete applications
    do shell script "rm -rf '/Applications/Uninstall IM Completer.app'" with administrator privileges
    do shell script "rm -rf /Applications/Genieo.app" with administrator privileges
    do shell script "rm -rf '/Applications/Uninstall Genieo.app'" with administrator privileges

    do shell script "rm -rf /tmp/tmpinstallmc.dmg" with administrator privileges

    -- delete launch files
    do shell script "rm -rf /Library/LaunchAgents/com.genieoinnovation.macextension.plist" with administrator privileges
    do shell script "rm -rf /Library/LaunchAgents/com.genieoinnovation.macextension.client.plist" with administrator privileges
    do shell script "rm -rf /Library/LaunchAgents/com.genieo.engine.plist" with administrator privileges
    do shell script "rm -rf /Library/LaunchDaemons/com.genieoinnovation.macextension.client.plist" with administrator privileges
    do shell script "rm -rf /Library/PrivilegedHelperTools/com.genieoinnovation.macextension.client" with administrator privileges
end try

try
    -- delete genieo libraries form launchd config file
    set allLines to read "/etc/launchd.conf" using delimiter "\n"
	set newConf to ""
	repeat with aLine in allLines
        if length of aLine is greater than 0 then
            if "/usr/lib/libgenkit.dylib" is not in aLine and "/usr/lib/libgenkitsa.dylib" is not in aLine and "/usr/lib/libimckit.dylib" is not in aLine and "/usr/lib/libimckitsa.dylib" is not in aLine then
                set newConf to newConf & aLine & "\n"
            end if
        end if
	end repeat
	
	log newConf
	
	do shell script "echo " & quoted form of newConf & " > /etc/launchd.conf" with administrator privileges
    --do shell script "rm -rf /etc/launchd.conf" with administrator privileges

    log "End uninstall script"
end try